Index: app_dial.c
===================================================================
--- app_dial.c	(revision 16299)
+++ app_dial.c	(working copy)
@@ -839,13 +839,13 @@
 			play_to_caller=1;
 		
 		var = pbx_builtin_getvar_helper(chan,"LIMIT_WARNING_FILE");
-		warning_sound = var ? var : "timeleft";
+		warning_sound = (!ast_strlen_zero(var)) ? var : "timeleft";
 		
 		var = pbx_builtin_getvar_helper(chan,"LIMIT_TIMEOUT_FILE");
-		end_sound = var ? var : NULL;
+		end_sound = (!ast_strlen_zero(var)) ? var : NULL;
 		
 		var = pbx_builtin_getvar_helper(chan,"LIMIT_CONNECT_FILE");
-		start_sound = var ? var : NULL;
+		start_sound = (!ast_strlen_zero(var)) ? var : NULL;
 
 		/* undo effect of S(x) in case they are both used */
 		calldurationlimit = 0; 
@@ -853,16 +853,18 @@
 		if (!play_warning && !start_sound && !end_sound && timelimit) { 
 			calldurationlimit = timelimit/1000;
 			timelimit = play_to_caller = play_to_callee = play_warning = warning_freq = 0;
+			if (option_verbose > 2)
+				ast_verbose(VERBOSE_PREFIX_3 "Setting call duration limit to %d seconds.\n", calldurationlimit);
 		} else if (option_verbose > 2) {
 			ast_verbose(VERBOSE_PREFIX_3 "Limit Data for this call:\n");
-			ast_verbose(VERBOSE_PREFIX_3 "- timelimit     = %ld\n", timelimit);
-			ast_verbose(VERBOSE_PREFIX_3 "- play_warning  = %ld\n", play_warning);
-			ast_verbose(VERBOSE_PREFIX_3 "- play_to_caller= %s\n", play_to_caller ? "yes" : "no");
-			ast_verbose(VERBOSE_PREFIX_3 "- play_to_callee= %s\n", play_to_callee ? "yes" : "no");
-			ast_verbose(VERBOSE_PREFIX_3 "- warning_freq  = %ld\n", warning_freq);
-			ast_verbose(VERBOSE_PREFIX_3 "- start_sound   = %s\n", start_sound ? start_sound : "UNDEF");
-			ast_verbose(VERBOSE_PREFIX_3 "- warning_sound = %s\n", warning_sound ? warning_sound : "UNDEF");
-			ast_verbose(VERBOSE_PREFIX_3 "- end_sound     = %s\n", end_sound ? end_sound : "UNDEF");
+			ast_verbose(VERBOSE_PREFIX_4 "timelimit     = %ld\n", timelimit);
+			ast_verbose(VERBOSE_PREFIX_4 "play_warning  = %ld\n", play_warning);
+			ast_verbose(VERBOSE_PREFIX_4 "play_to_caller= %s\n", play_to_caller ? "yes" : "no");
+			ast_verbose(VERBOSE_PREFIX_4 "play_to_callee= %s\n", play_to_callee ? "yes" : "no");
+			ast_verbose(VERBOSE_PREFIX_4 "warning_freq  = %ld\n", warning_freq);
+			ast_verbose(VERBOSE_PREFIX_4 "start_sound   = %s\n", start_sound ? start_sound : "UNDEF");
+			ast_verbose(VERBOSE_PREFIX_4 "warning_sound = %s\n", warning_sound ? warning_sound : "UNDEF");
+			ast_verbose(VERBOSE_PREFIX_4 "end_sound     = %s\n", end_sound ? end_sound : "UNDEF");
 		}
 	}
 
